<template>
  <div id="app">
    <Sidebar></Sidebar>
    <section class="main">
      <Header></Header>
      <router-view/>
    </section>
  </div>
</template>

<script>
  import Sidebar from '@/components/Sidebar.vue'
  import Header from '@/components/Header.vue'

  export default {
    name: 'App',
    components: { Sidebar, Header }
  }
</script>

<style lang="scss">
$primary: #0054FE;
$muted: #999;

body {
  font-size: 14px;
}

#app {
  font-family: 'Roboto', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;

  .text-center {
    text-align: center;
  }

  .text-lined {
    text-decoration: line-through;
  }

  a {
    text-decoration: none;
    color: $primary;
  }

  .btn {
    padding: 15px 25px;
    background: $primary;
    border-radius: 0.7rem;
    color: #eee;
    font-weight: bold;

    i {
      margin-right: 20px;
    }
  }

  table {
    border-collapse: collapse;
    width: 100%;

    thead {
      color: $muted;
    }
    th, td {
      padding: 20px 20px;
    }
    tr:nth-of-type(odd) {
      background-color: rgba(0, 0, 0, 0.05);
    }
  }
}

.main {
  margin-left: 250px;
  background: #F5F6FA;
  padding-left: 50px;
  padding-right: 50px;

  .content {
    background-color: white;
    margin-top: 40px;
    padding: 30px;
  }
}

#nav, #horizontal-navbar {
  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: $primary;
    }
  }
}

@media (max-width: 768px) {
  .sidebar {
    display: none;
  }

  .main {
    margin-left: 0;
    padding: 0 10px 0 10px;;
  }

  .user-name {
    display: none;
  }
}
</style>
